ESPRIMA(1)

NAME
esprima - high performance, standard-compliant ECMAScript parser

SYNOPSIS
esprima [options] [file.js]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--comment
    Gather all line and block comments in an array

--attachComment
    Attach comments to nodes

--loc
    Include line-column location info for each syntax node

--range
    Include index-based range for each syntax node

--raw
    Display the raw value of literals

--tokens
    List all tokens in an array

--tolerant
    Tolerate errors on a best-effort basis (experimental)

--tokenize
    Only tokenize, do not parse.

--module
    Tolerate errors on a best-effort basis (experimental)